<?php
/**
 * The header for our theme
 *
 * This is the template that displays all of the <head> section and everything up until <div id="content">
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package zibber
 */
?>

<!doctype html>
<html <?php language_attributes(); ?>>
<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>">
    <?php if ( is_singular() && pings_open( get_queried_object() ) ) : ?>
    <?php endif; ?>
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="profile" href="https://gmpg.org/xfn/11">
	<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>

    <?php    
        $zibber_preloader = get_theme_mod('zibber_preloader', true); 
    ?>

    <?php if(!empty($zibber_preloader)) : ?>
    <!-- preloader -->
    <div id="preloader">
        <div class="preloader">
            <span></span>
            <span></span>
        </div>
    </div>
    <!-- preloader end  -->
    <?php endif; ?>

    <?php wp_body_open(); ?>

    <!-- header start -->
    <?php do_action('zibber_header_style'); ?>
    <!-- header end -->
    <!-- wrapper-box start -->
    <?php do_action('zibber_before_main_content'); ?>
    





        