<?php

/** 
 * zibber Customizer data
 */
function _customizer_data($data)
{
	return array(
		'panel' => array(
			'id' => 'zibber',
			'name' => esc_html__('zibber Customizer', 'zibber'),
			'priority' => 10,
			'section' => array(
				'header_setting' => array(
					'name' => esc_html__('Header Topbar Setting', 'zibber'),
					'priority' => 10,
					'fields' => array(
						array(
							'name' => esc_html__('Topbar Swicher', 'zibber'),
							'id' => 'zibber_topbar_switch',
							'default' => true,
							'type' => 'switch',
							'transport'	=> 'refresh'
						),

						array(
							'name' => esc_html__('Show Language', 'zibber'),
							'id' => 'zibber_header_lang',
							'default' => 0,
							'type' => 'switch',
							'transport'	=> 'refresh'
						),

						array(
							'name' => esc_html__('Search On/Off', 'zibber'),
							'id' => 'zibber_show_header_search',
							'default' => 0,
							'type' => 'switch',
							'transport'	=> 'refresh'
						),

						// topbar left
						array(
							'name' => esc_html__('Preloader On/Off', 'zibber'),
							'id' => 'zibber_preloader',
							'default' => true,
							'type' => 'switch',
							'transport'	=> 'refresh'
						),

						// topbar left
						array(
							'name' => esc_html__('Mail ID', 'zibber'),
							'id' => 'zibber_mail_id',
							'default' => esc_html__('info@webmail.com', 'zibber'),
							'type' => 'text',
							'transport'	=> 'refresh'
						),

						// Phone 
						array(
							'name' => esc_html__('Phone Number', 'zibber'),
							'id' => 'zibber_phone',
							'default' => esc_html__('+876 864 764 764', 'zibber'),
							'type' => 'text',
							'transport'	=> 'refresh'
						),

						// cta
						array(
							'name' => esc_html__('Header Right', 'zibber'),
							'id' => 'zibber_header_right',
							'default' => 0,
							'type' => 'switch',
							'transport'	=> 'refresh'
						),

						// Show Button						
						array(
							'name' => esc_html__('Show Button', 'zibber'),
							'id' => 'zibber_show_button',
							'default' => 0,
							'type' => 'switch',
							'transport'	=> 'refresh'
						),
						array(
							'name' => esc_html__('Button Text', 'zibber'),
							'id' => 'zibber_button_text',
							'default' => esc_html__('Get A Quote', 'zibber'),
							'type' => 'text',
							'transport'	=> 'refresh'
						),
						array(
							'name' => esc_html__('Button Text RTL', 'zibber'),
							'id' => 'zibber_button_text_rtl',
							'default' => esc_html__('Get A Quote', 'zibber'),
							'type' => 'text',
							'transport'	=> 'refresh'
						),
						array(
							'name' => esc_html__('Button Link', 'zibber'),
							'id' => 'zibber_button_link',
							'default' => '#',
							'type' => 'text',
							'transport'	=> 'refresh'
						),
						// acc button 	
						array(
							'name' => esc_html__('Acc Button Text', 'zibber'),
							'id' => 'zibber_acc_button_link',
							'default' => esc_html__('Login or Register', 'zibber'),
							'type' => 'text',
							'transport'	=> 'refresh'
						),
						array(
							'name' => esc_html__('Acc Button Link', 'zibber'),
							'id' => 'zibber_acc_button_link',
							'default' => '#',
							'type' => 'text',
							'transport'	=> 'refresh'
						),
					)
				),
				'header_social_setting' => array(
					'name' => esc_html__('Header Social', 'zibber'),
					'priority' => 11,
					'description' => esc_html__('To hide the field please use blank in text field.', 'zibber'),
					'fields' => array(
						/** social profiles **/
						array(
							'name' => esc_html__('Facebook Url', 'zibber'),
							'id' => 'zibber_topbar_fb_url',
							'default' => '#',
							'type' => 'text',
							'transport'	=> 'refresh'
						),
						array(
							'name' => esc_html__('Twitter Url', 'zibber'),
							'id' => 'zibber_topbar_twitter_url',
							'default' => '#',
							'type' => 'text',
							'transport'	=> 'refresh'
						),
						array(
							'name' => esc_html__('Instagram Url', 'zibber'),
							'id' => 'zibber_topbar_instagram_url',
							'default' => '#',
							'type' => 'text',
							'transport'	=> 'refresh'
						),
						array(
							'name' => esc_html__('Linkedin Url', 'zibber'),
							'id' => 'zibber_topbar_linkedin_url',
							'default' => '#',
							'type' => 'text',
							'transport'	=> 'refresh'
						),
						array(
							'name' => esc_html__('Youtube Url', 'zibber'),
							'id' => 'zibber_topbar_youtube_url',
							'default' => '#',
							'type' => 'text',
							'transport'	=> 'refresh'
						),

					)
				),
				'header_main_setting' => array(
					'name' => esc_html__('Header Setting', 'zibber'),
					'priority' => 12,
					'fields' => array(
						array(
							'name' => esc_html__('Choose Header Style', 'zibber'),
							'id' => 'choose_default_header',
							'type'     => 'select',
							'choices'  => array(
								'header-style-1' => esc_html__('Header Style 1', 'zibber'),
								'header-style-2' => esc_html__('Header Style 2', 'zibber'),
								'header-style-3' => esc_html__('Header Style 3', 'zibber'),
								'header-style-4' => esc_html__('Header Style 4', 'zibber'),
								'header-style-5' => esc_html__('Header Style 5', 'zibber'),
								'header-style-6' => esc_html__('Header Style 6', 'zibber'),
							),
							'default' => 'header-style-1',
							'transport'	=> 'refresh'
						),
						array(
							'name' => esc_html__('Header Logo', 'zibber'),
							'id' => 'logo',
							'default' => get_template_directory_uri() . '/assets/img/logo/logo.png',
							'type' => 'image',
							'transport'	=> 'refresh'
						),
						array(
							'name' => esc_html__('Header Black Logo', 'zibber'),
							'id' => 'seconday_logo',
							'default' => get_template_directory_uri() . '/assets/img/logo/logo-gradient.png',
							'type' => 'image',
							'transport'	=> 'refresh'
						),
						array(
							'name' => esc_html__('Header Sticky Logo', 'zibber'),
							'id' => 'logo_sticky',
							'default' => get_template_directory_uri() . '/assets/img/logo/logo-gradient.png',
							'type' => 'image',
							'transport'	=> 'refresh'
						),
						array(
							'name' => esc_html__('Favicon', 'zibber'),
							'id' => 'favicon_url',
							'default' => get_template_directory_uri() . '/assets/img/logo/favicon.png',
							'type' => 'image',
							'transport'	=> 'refresh'
						),
						array(
							'name' => esc_html__('Logo Size', 'zibber'),
							'id' => 'zibber_logo_size',
							'default' => '105px',
							'type' => 'slider',
							'transport'	=> 'refresh'
						),
					)
				),

				'zibber_side_setting' => array(
					'name' => esc_html__('Side Info Setting', 'zibber'),
					'priority' => 13,
					'fields' => array(
						// Show Hamburger
						array(
							'name' => esc_html__('Show Hamburger', 'zibber'),
							'id' => 'zibber_hamburger_hide',
							'default' => 0,
							'type' => 'switch',
							'transport'	=> 'refresh'
						),
						array(
							'name' => esc_html__('Logo Side', 'zibber'),
							'id' => 'zibber_extra_info_logo',
							'default' => get_template_directory_uri() . '/assets/img/logo/logo.png',
							'type' => 'image',
							'transport'	=> 'refresh'
						),
						// about info
						array(
							'name' => esc_html__('About Us Desc..', 'zibber'),
							'id' => 'zibber_extra_about_text',
							'default' => esc_html__('Description Text..', 'zibber'),
							'type' => 'textarea'
						),
						array(
							'name' => esc_html__('Button Text', 'zibber'),
							'id' => 'zibber_extra_button',
							'default' => esc_html__('Contact Us', 'zibber'),
							'type' => 'text'
						),
						array(
							'name' => esc_html__('Button URL', 'zibber'),
							'id' => 'zibber_extra_button_url',
							'default' => '#',
							'type' => 'text'
						),
						// contact info		
						array(
							'name' => esc_html__('Office Address', 'zibber'),
							'id' => 'zibber_extra_address',
							'default' => esc_html__('123/A, Miranda City Likaoli Prikano, Dope United States', 'zibber'),
							'type' => 'textarea'
						),
						array(
							'name' => esc_html__('Phone Number', 'zibber'),
							'id' => 'zibber_extra_phone',
							'default' => esc_html__('+0989 7876 9865 9', 'zibber'),
							'type' => 'text'
						),
						array(
							'name' => esc_html__('Email ID', 'zibber'),
							'id' => 'zibber_extra_email',
							'default' => esc_html__('info@basictheme.net', 'zibber'),
							'type' => 'text'
						),
					)
				),

				'page_title_setting' => array(
					'name' => esc_html__('Breadcrumb Setting', 'zibber'),
					'priority' => 14,
					'fields' => array(
						array(
							'name' => esc_html__('Breadcrumb On/Off', 'zibber'),
							'id' => 'breadcrumb_switch',
							'default' => true,
							'type' => 'switch',
							'transport'	=> 'refresh'
						),
						array(
							'name' => esc_html__('Breadcrumb BG 1 Color', 'zibber'),
							'id' => 'zibber_breadcrumb_bg_color',
							'default' => esc_html__('#690ed0', 'zibber'),
							'transport'	=> 'refresh'
						),
						array(
							'name' => esc_html__('Breadcrumb BG 2 Color', 'zibber'),
							'id' => 'zibber_breadcrumb_bg_color2',
							'default' => esc_html__('#170da2', 'zibber'),
							'transport'	=> 'refresh'
						),
						array(
							'name' => esc_html__('Breadcrumb Padding Top', 'zibber'),
							'id' => 'zibber_breadcrumb_spacing',
							'default' => esc_html__('160px', 'zibber'),
							'transport'	=> 'refresh',
							'type' => 'text',
						),
						array(
							'name' => esc_html__('Breadcrumb Bottom Top', 'zibber'),
							'id' => 'zibber_breadcrumb_bottom_spacing',
							'default' => esc_html__('160px', 'zibber'),
							'transport'	=> 'refresh',
							'type' => 'text',
						),
						array(
							'name' => esc_html__('Breadcrumb Background Image', 'zibber'),
							'id' => 'breadcrumb_bg_img',
							'default' => get_template_directory_uri() . '/img/bg/page-title.jpg',
							'type' => 'image',
							'transport'	=> 'refresh'
						),
						array(
							'name' => esc_html__('Breadcrumb Archive', 'zibber'),
							'id' => 'breadcrumb_archive',
							'default' => esc_html__('Archive for category', 'zibber'),
							'type' => 'text',
							'transport'	=> 'refresh'
						),
						array(
							'name' => esc_html__('Breadcrumb Search', 'zibber'),
							'id' => 'breadcrumb_search',
							'default' => esc_html__('Search results for', 'zibber'),
							'type' => 'text',
							'transport'	=> 'refresh'
						),
						array(
							'name' => esc_html__('Breadcrumb tagged', 'zibber'),
							'id' => 'breadcrumb_post_tags',
							'default' => esc_html__('Posts tagged', 'zibber'),
							'type' => 'text',
							'transport'	=> 'refresh'
						),
						array(
							'name' => esc_html__('Breadcrumb posted by', 'zibber'),
							'id' => 'breadcrumb_artitle_post_by',
							'default' => esc_html__('Articles posted by', 'zibber'),
							'type' => 'text',
							'transport'	=> 'refresh'
						),
						array(
							'name' => esc_html__('Breadcrumb Page Not Found', 'zibber'),
							'id' => 'breadcrumb_404',
							'default' => esc_html__('Page Not Found', 'zibber'),
							'type' => 'text',
							'transport'	=> 'refresh'
						),
						array(
							'name' => esc_html__('Breadcrumb Page', 'zibber'),
							'id' => 'breadcrumb_page',
							'default' => esc_html__('Page', 'zibber'),
							'type' => 'text',
							'transport'	=> 'refresh'
						),
						array(
							'name' => esc_html__('Breadcrumb Home', 'zibber'),
							'id' => 'breadcrumb_home',
							'default' => esc_html__('Home', 'zibber'),
							'type' => 'text',
							'transport'	=> 'refresh'
						),
					)
				),
				'blog_setting' => array(
					'name' => esc_html__('Blog Setting', 'zibber'),
					'priority' => 14,
					'fields' => array(
						array(
							'name' => esc_html__('Show Blog BTN', 'zibber'),
							'id' => 'zibber_blog_btn_switch',
							'default' => 1,
							'type' => 'switch',
							'transport'	=> 'refresh'
						),
						array(
							'name' => esc_html__('Blog Button text', 'zibber'),
							'id' => 'zibber_blog_btn',
							'default' => esc_html__('Read More', 'zibber'),
							'type' => 'text',
							'transport'	=> 'refresh'
						),
						array(
							'name' => esc_html__('Blog Button text RTL', 'zibber'),
							'id' => 'zibber_blog_btn_rtl',
							'default' => esc_html__('Read More', 'zibber'),
							'type' => 'text',
							'transport'	=> 'refresh'
						),
						array(
							'name' => esc_html__('Blog Title', 'zibber'),
							'id' => 'breadcrumb_blog_title',
							'default' => esc_html__('Blog', 'zibber'),
							'type' => 'text',
							'transport'	=> 'refresh'
						),
						array(
							'name' => esc_html__('Blog Details Title', 'zibber'),
							'id' => 'breadcrumb_blog_title_details',
							'default' => esc_html__('Blog Details', 'zibber'),
							'type' => 'text',
							'transport'	=> 'refresh'
						),

					)
				),
				'zibber_footer_setting' => array(
					'name' => esc_html__('Footer Setting', 'zibber'),
					'priority' => 16,
					'fields' => array(
						array(
							'name' => esc_html__('Choose Footer Style', 'zibber'),
							'id' => 'choose_default_footer',
							'type'     => 'select',
							'choices'  => array(
								'footer-style-1' => esc_html__('Footer Style 1', 'zibber'),
								'footer-style-2' => esc_html__('Footer Style 2', 'zibber'),
								'footer-style-3' => esc_html__('Footer Style 3', 'zibber'),
								'footer-style-4' => esc_html__('Footer Style 4', 'zibber'),
								'footer-style-5' => esc_html__('Footer Style 5', 'zibber'),
							),
							'default' => 'footer-style-1',
							'transport'	=> 'refresh'
						),
						array(
							'name' => esc_html__('Footer Style 2 Switch', 'zibber'),
							'id' => 'footer_style_2_switch',
							'default' => false,
							'type' => 'switch',
							'transport'	=> 'refresh'
						),
						array(
							'name' => esc_html__('Footer Style 3 Switch', 'zibber'),
							'id' => 'footer_style_3_switch',
							'default' => false,
							'type' => 'switch',
							'transport'	=> 'refresh'
						),
						array(
							'name' => esc_html__('Footer Style 4 Switch', 'zibber'),
							'id' => 'footer_style_4_switch',
							'default' => false,
							'type' => 'switch',
							'transport'	=> 'refresh'
						),
						array(
							'name' => esc_html__('Footer Social On/Off', 'zibber'),
							'id' => 'zibber_footer_social',
							'default' => false,
							'type' => 'switch',
							'transport'	=> 'refresh'
						),

						array(
							'name' => esc_html__('Footer Background Image', 'zibber'),
							'id' => 'zibber_footer_bg',
							'default' => '',
							'type' => 'image',
							'transport'	=> 'refresh'
						),
						array(
							'name' => esc_html__('Footer BG Color', 'zibber'),
							'id' => 'zibber_footer_bg_color',
							'default' => esc_html__('#f4f9fc', 'zibber'),
							'transport'	=> 'refresh'
						),
						array(
							'name' => esc_html__('Email Label', 'zibber'),
							'id' => 'footer_email_label',
							'default' => esc_html__('E-mail', 'zibber'),
							'transport'	=> 'refresh'
						),
						array(
							'name' => esc_html__('Email', 'zibber'),
							'id' => 'footer_email',
							'default' => esc_html__('zibber@example.com', 'zibber'),
							'transport'	=> 'refresh'
						),
						array(
							'name' => esc_html__('Phone Label', 'zibber'),
							'id' => 'footer_phone_label',
							'default' => esc_html__('E-mail', 'zibber'),
							'transport'	=> 'refresh'
						),
						array(
							'name' => esc_html__('Phone', 'zibber'),
							'id' => 'footer_phone',
							'default' => esc_html__('+8801234567890', 'zibber'),
							'transport'	=> 'refresh'
						),
						array(
							'name' => esc_html__('Copy Right', 'zibber'),
							'id' => 'zibber_copyright',
							'default' => esc_html__('Copyright &copy;2021 Theme_Pure. All Rights Reserved', 'zibber'),
							'type' => 'text',
							'transport'	=> 'refresh'
						)
					)
				),
				'color_setting' => array(
					'name' => esc_html__('Color Setting', 'zibber'),
					'priority' => 17,
					'fields' => array(
						array(
							'name' => esc_html__('Primary Color', 'zibber'),
							'id' => 'zb_primary_color',
							'default' => esc_html__('#4636ff', 'zibber'),
							'transport'	=> 'refresh'
						),
						array(
							'name' => esc_html__('Secondary Color', 'zibber'),
							'id' => 'zb_secondary_color',
							'default' => esc_html__('#8923FF', 'zibber'),
							'transport'	=> 'refresh'
						),
						array(
							'name' => esc_html__('Body Color', 'zibber'),
							'id' => 'zb_body_color',
							'default' => esc_html__('#686777', 'zibber'),
							'transport'	=> 'refresh'
						),
						array(
							'name' => esc_html__('Heading Color', 'zibber'),
							'id' => 'zb_heading_color',
							'default' => esc_html__('#1f1841', 'zibber'),
							'transport'	=> 'refresh'
						),
						array(
							'name' => esc_html__('Black Color', 'zibber'),
							'id' => 'zb_black_color',
							'default' => esc_html__('#000', 'zibber'),
							'transport'	=> 'refresh'
						),
						array(
							'name' => esc_html__('White Color', 'zibber'),
							'id' => 'zb_white_color',
							'default' => esc_html__('#fff', 'zibber'),
							'transport'	=> 'refresh'
						)
					)
				),
				'typography_setting' => array(
					'name' => esc_html__('Typography Setting', 'zibber'),
					'priority' => 18,
					'fields' => array(
						array(
							'name' => esc_html__('Google Font URL', 'zibber'),
							'id' => 'zibber_fonts_url',
							'description' => esc_html__('Example: family=Frank+Ruhl+Libre:wght@300;400;500;700&family=Lato:wght@300;400;700&display=swap', 'zibber'),
							'default' => esc_html__("family=Frank+Ruhl+Libre:wght@300;400;500;700&family=Lato:wght@300;400;700&display=swap", 'zibber'),
							'transport'	=> 'refresh',
							'type' => 'textarea'
						),
						array(
							'name' => esc_html__('Zibber Body Font', 'zibber'),
							'id' => 'zibber_body_font',
							'default' => esc_html__("'Lato', sans-serif'", 'zibber'),
							'transport'	=> 'refresh',
							'type' => 'text'
						),
						array(
							'name' => esc_html__('Zibber Heading Font', 'zibber'),
							'id' => 'zibber_heading_font',
							'default' => esc_html__("'Frank Ruhl Libre', sans-serif", 'zibber'),
							'transport'	=> 'refresh',
							'type' => 'text'
						),
					)
				),
				'error_page_setting' => array(
					'name' => esc_html__('404 Setting', 'zibber'),
					'priority' => 19,
					'fields' => array(
						array(
							'name' => esc_html__('400 Text', 'zibber'),
							'id' => 'zibber_error_404_text',
							'default' => esc_html__('404', 'zibber'),
							'type' => 'text',
							'transport'	=> 'refresh'
						),
						array(
							'name' => esc_html__('Not Found Title', 'zibber'),
							'id' => 'zibber_error_title',
							'default' => esc_html__('Page not found', 'zibber'),
							'type' => 'text',
							'transport'	=> 'refresh'
						),
						array(
							'name' => esc_html__('404 Description Text', 'zibber'),
							'id' => 'zibber_error_desc',
							'default' => esc_html__('Oops! The page you are looking for does not exist. It might have been moved or deleted', 'zibber'),
							'type' => 'textarea',
							'transport'	=> 'refresh'
						),
						array(
							'name' => esc_html__('404 Link Text', 'zibber'),
							'id' => 'zibber_error_link_text',
							'default' => esc_html__('Back To Home', 'zibber'),
							'type' => 'text',
							'transport'	=> 'refresh'
						)

					)
				),
				'slug_setting' => array(
					'name' => esc_html__('Post Type Slug', 'zibber'),
					'priority' => 19,
					'fields' => array(
						array(
							'name' => esc_html__('Service Name', 'zibber'),
							'id' => 'zibber_sv_name',
							'default' => esc_html__('Services', 'zibber'),
							'transport'	=> 'refresh',
							'type' => 'text',
						),
						array(
							'name' => esc_html__('Service Slug', 'zibber'),
							'id' => 'zibber_sv_slug',
							'default' => esc_html__('ourservices', 'zibber'),
							'transport'	=> 'refresh',
							'type' => 'text',
						),

						array(
							'name' => esc_html__('Cases Name', 'zibber'),
							'id' => 'zibber_cases_name',
							'default' => esc_html__('Cases', 'zibber'),
							'transport'	=> 'refresh',
							'type' => 'text',
						),
						array(
							'name' => esc_html__('Cases Slug', 'zibber'),
							'id' => 'zibber_cases_slug',
							'default' => esc_html__('ourcases', 'zibber'),
							'transport'	=> 'refresh',
							'type' => 'text',
						),
					)
				),
				'product_setting' => array(
					'name' => esc_html__('Related Subtitle Switch', 'zibber'),
					'priority' => 20,
					'fields' => array(
						array(
							'name' => esc_html__('Switch Subtitle', 'zibber'),
							'id' => 'product_subtitle_switch',
							'default' => false,
							'type' => 'switch',
							'transport'	=> 'refresh'
						)
					)
				),
				'rtl_setting' => array(
					'name' => esc_html__('RTL Setting', 'zibber'),
					'priority' => 20,
					'fields' => array(
						array(
							'name' => esc_html__('Switch RTL', 'zibber'),
							'id' => 'rtl_switch',
							'default' => false,
							'type' => 'switch',
							'transport'	=> 'refresh'
						)
					)
				),
			),
		)
	);
}

add_filter('_customizer_data', '_customizer_data');
