<?php
/**
 * Template part for displaying posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package zibber
 */


if( is_single() ): ?>
    <article id="post-<?php the_ID(); ?>" <?php post_class('blog__text blog__item-2 mb-70 format-video'); ?>>
        <?php if( has_post_thumbnail() ): ?>
        <div class="blog__thumb-2 w-img fix p-relative">
            <a href="blog-details.html"><?php the_post_thumbnail('full', array('class' => 'img-responsive' )); ?></a>
            <div class="blog__play p-absolute">
                <a href="<?php print esc_url($zibber_video_url); ?>" data-fancybox ><i class="fal fa-play"></i></a>
            </div>
        </div>
        <?php endif; ?>

        <div class="blog__content-2">
            <div class="post-meta mb-20">
                <span><i class="far fa-calendar-check"></i> <?php the_time( get_option('date_format') ); ?> </span>
                <span><a href="<?php print esc_url( get_author_posts_url( get_the_author_meta('ID') ) ); ?>"><i class="far fa-user"></i> <?php print get_the_author(); ?></a></span>
                <span><a href="<?php comments_link(); ?>"><i class="far fa-comments"></i> <?php comments_number(); ?></a></span>
            </div>
            <h3 class="blog-title">
                <?php the_title(); ?>
            </h3>
            <div class="post-text mb-20">
               <?php the_content(); ?> 
                <?php
                    wp_link_pages( array(
                        'before'      => '<div class="page-links">' . esc_html__( 'Pages:', 'zibber' ),
                        'after'       => '</div>',
                        'link_before' => '<span class="page-number">',
                        'link_after'  => '</span>',
                    ) );
                ?>
            </div>
            <?php print zibber_get_tag(); ?>
        </div>
    </article>

<?php
else: ?>

    <div class="col-xl-3 col-lg-3 col-md-6 col-sm-6">
        <div class="services__item mb-90">
           <?php if( has_post_thumbnail() ): ?>
           <div class="services__icon mb-35">
              <?php the_post_thumbnail('full', array('class' => 'img-responsive' )); ?>
           </div>
           <?php endif; ?>

           <div class="services__content">
              <h3 class="bdevs-el-title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>
              <p><?php the_excerpt(); ?></p>
           </div>
        </div>
    </div>  

<?php
endif; ?>


